Browse Source

Helper script updates

Scott Lahteine 5 years ago
parent
commit
decfe3424f
4 changed files with 7 additions and 7 deletions
  1. 2
    2
      buildroot/share/git/mfadd
  2. 1
    1
      buildroot/share/git/mffp
  3. 2
    2
      buildroot/share/git/mfpr
  4. 2
    2
      buildroot/share/git/mfqp

+ 2
- 2
buildroot/share/git/mfadd View File

@@ -1,13 +1,13 @@
1 1
 #!/usr/bin/env bash
2 2
 #
3
-# mfadd
3
+# mfadd (user|ref) [copyname]
4 4
 #
5 5
 # Add a remote and fetch it. Optionally copy a branch.
6 6
 #
7 7
 # Example: mfadd myfork:patch-1 copy_of_patch-1
8 8
 #
9 9
 
10
-[[ $# > 0 && $# < 3 && $1 != "-h" && $1 != "--help" ]] || { echo "usage: `basename $0` (user | ref copyname)" 1>&2 ; exit 1; }
10
+[[ $# > 0 && $# < 3 && $1 != "-h" && $1 != "--help" ]] || { echo "usage: `basename $0` (user|ref) [copyname]" 1>&2 ; exit 1; }
11 11
 
12 12
 # If a colon is included, split the parts
13 13
 if [[ $1 =~ ":" ]]; then

+ 1
- 1
buildroot/share/git/mffp View File

@@ -1,6 +1,6 @@
1 1
 #!/usr/bin/env bash
2 2
 #
3
-# mffp
3
+# mffp [1|2] [commit-id]
4 4
 #
5 5
 # Push the given commit (or HEAD) upstream immediately.
6 6
 # By default: `git push upstream HEAD:bugfix-1.1.x`

+ 2
- 2
buildroot/share/git/mfpr View File

@@ -1,8 +1,8 @@
1 1
 #!/usr/bin/env bash
2 2
 #
3
-# mfpr
3
+# mfpr [1|2]
4 4
 #
5
-# Make a PR of the current branch against RCBugFix or dev
5
+# Make a PR against bugfix-1.1.x or bugfix-2.0.x
6 6
 #
7 7
 
8 8
 [[ $# < 2 && $1 != "-h" && $1 != "--help" ]] || { echo "usage: `basename $0` [branch]" 1>&2 ; exit 1; }

+ 2
- 2
buildroot/share/git/mfqp View File

@@ -1,6 +1,6 @@
1 1
 #!/usr/bin/env bash
2 2
 #
3
-# mfqp
3
+# mfqp [-q|--quick] [1|2]
4 4
 #
5 5
 # Add all changed files, commit as "patch", do `mfrb` and `git push -f`
6 6
 #
@@ -24,7 +24,7 @@ done
24 24
 
25 25
 [[ ${INFO[4]} =~ [0-9] ]] && USAGE=1
26 26
 
27
-[[ $USAGE ]] && { echo "usage: `basename $0` [1|2]" 1>&2 ; exit 1 ; }
27
+[[ $USAGE ]] && { echo "usage: `basename $0` [-hq] [1|2]" 1>&2 ; exit 1 ; }
28 28
 
29 29
 git add .
30 30
 git commit -m "patch"

Loading…
Cancel
Save